


MMLOCATE(8)                                           MMLOCATE(8)


NNAAMMEE
       mmlocate - NetWorker media location reporting command

SSYYNNOOPPSSIISS
       mmmmllooccaattee [ --ss _s_e_r_v_e_r ] [ --ll
        { --nn _v_o_l_n_a_m_e | --ii _v_o_l_i_d | _l_o_c_a_t_i_o_n }] [ --LL ] [ --dd _l_o_c_a_t_i_o_n ]
       [  --cc  {  --nn  _v_o_l_n_a_m_e  | --ii _v_o_l_i_d }] [ --uu { --nn _v_o_l_n_a_m_e_| --ii
       _v_o_l_i_d_| llooccaattiioonn }]

DDEESSCCRRIIPPTTIIOONN
       The mmmmllooccaattee command is used to access and manage the vol-
       ume  location information contained in the media database.
       The information contained in a volume's location field  is
       meant  to  give  the  user an idea of where the volume can
       physically be found.  Other NetWorker commands  will  dis-
       play the location along with the volume name (see the _v_e_r_-
       _s_i_o_n_s sub-command of rreeccoovveerr(8)).  Any user can  use  this
       command  with  the --ll (default) or --LL options.  The --cc, --dd
       and --uu options are  limited  to  NetWorker  administrators
       (see  nnssrr(8)).   -l is assumed by mmlocate if a -L, -c, -d
       or -u option is not specified.

       Running mmmmllooccaattee without any arguments lists  all  volumes
       and  their  locations  for the specified server (if you do
       not specify a server, the current host is used).

       Note that each time _n_s_r_j_b(8) moves a piece of media inside
       a  jukebox, the location of a volume is set to the name of
       the jukebox.  When using storage nodes, the  name  of  the
       jukebox  is  used to indicate on which node the volume can
       be mounted.  Hence, the first portion of this  field  con-
       taining  the  jukebox  name  should  not be changed.  When
       using volumes on a storage node  that  are  not  contained
       within  a  jukebox,  this field can be used to indicate on
       which node a volume should be  mounted,  by  giving  it  a
       value  of  any  remote device on that node.  See nnssrr__ssttoorr--
       aaggee__nnooddee(5) for additional detail on storage nodes.

OOPPTTIIOONNSS
       --cc     Clears the location field for the specified volume.

       --dd _l_o_c_a_t_i_o_n
              Deletes  all  volumes associated with the specified
              location.  A confirmation prompt appears  prior  to
              the deletion of each volume.

       --ii _v_o_l_i_d
              Restricts  the  mmmmllooccaattee operation to the specified
              volume ID (volid).

       --ll     Lists entries.  Performs a database query using the
              supplied _v_o_l_u_m_e _n_a_m_e, _v_o_l_u_m_e _I_D or _l_o_c_a_t_i_o_n.

              If  a  volume name or volume id is given, then only



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





MMLOCATE(8)                                           MMLOCATE(8)


              the volume's location information is displayed.  If
              a  location  is provided, then only volumes in that
              location are displayed.  When the -l option is used
              without  specifying any other options (volume name,
              volume id, or  location),  volumes  without  a  set
              location are displayed.

       --LL     Lists all _l_o_c_a_t_i_o_n_s found in the database.

       --nn _v_o_l_n_a_m_e
              Restricts  the  operation  to the volume name (_v_o_l_-
              _n_a_m_e) listed.

       --ss _s_e_r_v_e_r
              Accesses the _s_e_r_v_e_r's media database.

       --uu     Updates the location for a volume.   Locations  are
              limited  to a maximum length of 64 characters.  The
              --nn _v_o_l_n_a_m_e or --ii _v_o_l_i_d and  _l_o_c_a_t_i_o_n  options  must
              be used in conjunction with the --uu option.

EEXXAAMMPPLLEESS
       Update  the media database to show that volume Offsite.011
       is now at location 'Media Vault'
              mmmmllooccaattee --uu --nn OOffffssiittee..001111 ''MMeeddiiaa VVaauulltt''

       Delete volumes at location 'Media Shelf 6'
              mmmmllooccaattee --dd ''MMeeddiiaa SShheellff 66''

       Delete location information for volume NonFull.001
              mmmmllooccaattee --cc --nn NNoonnFFuullll..000011

       List the location of volume NonFull.001
              mmmmllooccaattee --nn FFuullll..000011

       List all volumes stored in the location 'Media Vault'
              mmmmllooccaattee ''MMeeddiiaa VVaauulltt''

FFIILLEESS
       //nnssrr//mmmm//mmmmvvoolluummee         The media database.

SSEEEE AALLSSOO
       nnssrrmmmm(8),   mmmmiinnffoo(8),   nnssrr(8),   nnssrrjjbb(8),    rreeccoovveerr(8)
       nnssrr__ssttoorraaggee__nnooddee(5)

DDIIAAGGNNOOSSTTIICCSS
       SSeerrvveerr _s_e_r_v_e_r ddooeess nnoott ssuuppppoorrtt rreemmoottee uuppddaattee ooppeerraattiioonnss......
              If you are running mmmmllooccaattee against an old  server,
              you  are  not  allowed to use the -u or -c options.
              You must login to that server and run the  mmlocate
              program there.






NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2


